﻿<script type="text/javascript">
    var _height_Window = $(window).height();
    var _height_Header = $('.iq-top-navbar').height();
    var _height_Title = $('#box_title_table').height();
    var _height_Footer = $('.iq-footer').height();

    // console.log(_height_Window);
    // console.log(_height_Header);
    // console.log(_height_Title);
    // console.log(_height_Footer);
    /* Config scroll table - Xoá comment để kích hoạt */
    var flag_fixed = false;
    if ($(window).width() > 760) {
        $('.iq-card-body').height(_height_Window - _height_Header - _height_Footer - 76 - 25);
        flag_fixed = true;
    } else {
        $('.iq-card-body').height(_height_Window - _height_Header - 15);
        if ($(window).width() > 375) {
            flag_fixed = true;
        } else {
            flag_fixed = false;
        }
    }
    $(document).ready(function () {
        $('#DonVi').select2();
        $('.btnXemBaoCaoVanBanTheoThoiGian').click();
    });
    function getDanhSachBaoCao(DonVi, NgayDangKyTuNgay, NgayDangKyDenNgay) {
        $.ajax({
            url: '@Url.Action("GetBaoCaoDanhSachVanBanTheoThoiGian", "VanPhongSo")',
            type: 'GET',
            data: { IdDonVi : DonVi, TuNgay:NgayDangKyTuNgay,DenNgay:NgayDangKyDenNgay },
            dataType: 'text',
            success: function (data) {
                console.log(data);
                if (data != "") {
                    var _data = JSON.parse(data);
                    $('#gridContainer').dxDataGrid({
                        dataSource: _data,
                        keyExpr: 'Id',
                        showBorders: true,
                        showRowLines: true,
                        paging: {
                            enabled: false
                        },
                        columnAutoWidth: true,
                        columnHidingEnabled: true,
                        allowColumnResizing: true,
                        columnFixing: {
                            enabled: true
                        },
                        filterRow: {
                            visible: true,
                            applyFilter: 'auto',
                        },
                        // filterPanel: { visible: true },
                        headerFilter: { visible: true },
                        columns:
                            [

                                {
                                    headerCellTemplate: function (container) {
                                        container.text('STT').parent().css({ fontWeight: 'bold', backgroundColor: '#c5d3dd' });
                                    },
                                    width: 50,
                                    //dataField: "STT",
                                    alignment: "center",
                                    cellTemplate: function (container, options) {
                                        let _stt = options.rowIndex + 1;
                                        $(container).html(_stt);
                                    }
                                },
                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Mã văn bản').parent().css({ fontWeight: 'bold', backgroundColor: '#c5d3dd' });
                                    },
                                    cellTemplate: function (container, options) {
                                        let link_detail = `<a href="/vanphongso/bochungtu_chitiet/${options.data.Id}" target="">${options.value}</a>`;
                                        $(container).html(link_detail);
                                    },
                                    dataField: "MaVanBan",
                                    alignment: "center",
                                    width: 120,
                                    caption: "Mã văn bản"
                                },
                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Tiêu đề').parent().css({ fontWeight: 'bold', backgroundColor: '#c5d3dd' });
                                    },
                                    dataField: "TieuDe",
                                    //width: 400,
                                    alignment: "left",
                                    caption: "Tiêu đề"
                                },
                                //{
                                //    headerCellTemplate: function(container) {
                                //        container.text('Ghi chú').parent().css({fontWeight: 'bold', backgroundColor: '#c5d3dd'});
                                //    },
                                //    dataField: "GhiChu",
                                //    cellTemplate: function (container, options) {
                                //        $(container).html(options.value);
                                //    },
                                //    caption : "Ghi chú"
                                //},

                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Đơn Vị').parent().css({ fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd' });
                                    },
                                    //width: 300,
                                    dataField: "TenDonVi",
                                    alignment: "center",
                                    cellTemplate: function (container, options) {
                                        $(container).html(options.value);
                                    },
                                    caption: "Đơn vị"
                                },
                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Trạng thái').parent().css({ fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd' });
                                    },
                                    width: 100,
                                    dataField: "TrangThai",
                                    alignment: "center",
                                    cellTemplate: function (container, options) {
                                        //console.log(options);
                                        let text_Color_TrangThai = '';
                                        if (options.data.TrangThai == 'MoiTao') {
                                            text_Color_TrangThai = `<span class="badge badge-secondary">Mới tạo</span>`;
                                        } else if (options.data.TrangThai == 'HoanTat') {
                                            text_Color_TrangThai = `<span class="badge badge-success">Hoàn tất</span>`;
                                        } else if (options.data.TrangThai == 'DaHuy') {
                                            text_Color_TrangThai = `<span class="badge badge-danger">Đã hủy</span>`;
                                        } else if (options.data.TrangThai == 'DaKhoa') {
                                            text_Color_TrangThai = `<span class="badge badge-warning">Đã khóa</span>`;
                                        }
                                        $(container).html("<h5>" + text_Color_TrangThai + "</h5>");
                                    },
                                    caption: "Trạng thái"
                                },
                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Ngày tạo').parent().css({ fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd' });
                                    },
                                    width: 100,
                                    alignment: "center",
                                    dataField: "NgayTao",
                                    dataType: 'date',
                                    format: 'dd/MM/yyyy',
                                    caption: "Ngày tạo"
                                },
                                {
                                    headerCellTemplate: function (container) {
                                        container.text('Người tạo').parent().css({ fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd' });
                                    },
                                    width: 100,
                                    dataField: "TenNguoiTao",
                                    alignment: "center",
                                    cellTemplate: function (container, options) {
                                        $(container).html(options.value);
                                    },
                                    caption: "Người tạo"
                                },
                                //{
                                //    headerCellTemplate: function (container) {
                                //        container.text('').parent().css({ fontWeight: 'bold', textAlign: 'center', backgroundColor: '#c5d3dd' });
                                //    },
                                //    dataField: "",
                                //    width: 150,
                                //    alignment: "center",
                                //    cellTemplate: function (container, options) {
                                //        let text_Color_TrangThai = `
                                //            <h5><a class="badge badge-primary" style="color:white;" data-toggle="modal" data-target="#modal_ChiaSe" data-id="${options.data.Id}" data-mavanban="${options.data.MaVanBan}" data-maqr="${options.data.MaQR}" data-link="${options.data.Link}" data-tieude="${options.data.TieuDe}">
                                //            <i class="fa fa-share"></i> Chia sẽ</a>
                                //            <a class="badge badge-danger action_huy_chung_tu" href="#" data-id="${options.data.Id}" data-tieude="${options.data.TieuDe}">
                                //            <i class="fa fa-times"></i> Huỷ</a></h5>
                                //`;

                                //        $(container).css({ overflow: 'initial' }).html(text_Color_TrangThai);
                                //    }
                                //},
                            ],
                        summary: {
                            totalItems:
                                [
                                    {
                                        column: 'MoTa',
                                        summaryType: 'count',
                                    }
                                ],
                        }
                    });
                }
            }
        })
    }
    $('.btnXemBaoCaoVanBanTheoThoiGian').click(function () {
        var DonVi = $('#DonVi').val();
        var NgayDangKyTuNgay = $('#NgayDangKyTuNgay').val();
        var NgayDangKyDenNgay = $('#NgayDangKyDenNgay').val();
        $.ajax({
            url: '@Url.Action("GetBaoCaoVanBanTheoThoiGian", "VanPhongSo")',
            type: 'GET',
            data: { IdDonVi : DonVi, TuNgay:NgayDangKyTuNgay,DenNgay:NgayDangKyDenNgay },
            dataType: 'text',
            success: function (data) {
                console.log(data);
                if (data != "") {
                    var _data = JSON.parse(data);
                    for (var i = 0; i < _data.length; i++) {
                        if (_data[i].TrangThai == 'MoiTao') {
                            $('.faMoiTao').html(_data[i].SoLuong);
                        }else if (_data[i].TrangThai == 'DaKhoa') {
                            $('.faDaKhoa').html(_data[i].SoLuong);
                        }else if (_data[i].TrangThai == 'HoanTat') {
                            $('.faHoanTat').html(_data[i].SoLuong);
                        }
                    }
                    getDanhSachBaoCao(DonVi, NgayDangKyTuNgay, NgayDangKyDenNgay);
                }
            }
        })
    });

</script>